config/routes.rb
Rails.application.routes.draw do

  resources :users
  resources :sessions

  get "users/new"

  root  'users#new'
  match '/signup',  to: 'users#new',            via: 'get'
  match '/help',    to: 'static_pages#help',    via: 'get'
  match '/about',   to: 'static_pages#about',   via: 'get'
  match '/contact', to: 'static_pages#contact', via: 'get'

end

app/models/user.rb
class User < ActiveRecord::Base
  # attr_accessible :first_name, :last_name, :email, :password_digest

  validates :email, :uniqueness => true
  
  has_secure_password
  #validates :password, length: { minimum: 6 }
end

app/controllers/application_controller.rb
class ApplicationController < ActionController::Base
  # Prevent CSRF attacks by raising an exception.
  # For APIs, you may want to use :null_session instead.
  protect_from_forgery with: :exception
private
  def current_user
    @current_user ||= User.find(session[:user_id]) if session[:user_id]
  end
  helper_method :current_user
end

app/controllers/petitions_controller.rb
class PetitionsController < ApplicationController
  def index
  end
end

app/controllers/sessions_controller.rb
class SessionsController < ApplicationController
  def new

  end

  def create
    user = User.find_by_email(params[:email])
    if user && user.authenticate(params[:password])
      session[:user_id] = user.id
      redirect_to user, notice: "Logged in"
    else
      flash.now.alert = "Email or password is invalid"
      render "new"
    end
  end

  def destroy
    session[:user_id] = nil
    redirect_to root_url, notice: "Logged out"
  end
end

app/controllers/users_controller.rb
class UsersController < ApplicationController
  def new
    @user = User.new
  end

  def show
    @user = User.all    
  end

  def create
    @user = User.new(user_params)
    if @user.save
        redirect_to @user, notice: "Thank you for signing up"
    else
        render "new"
    end
  end
private
  def user_params
    params.require(:user).permit(:first_name, :last_name, :email, :password,
                                 :password_digest)  
  end
end

app/helpers/application_helper.rb
module ApplicationHelper
end

app/helpers/sessions_helper.rb
module SessionsHelper
end

app/helpers/users_helper.rb
module UsersHelper
end

app/views/layouts/_footer.html.erb
<footer class="footer">
  <small>
    <a href="https://github.com/lelix">Разработал Артемьев Даниил</a>
  </small>
  <nav>
    <ul>
      <li><%= link_to "About",   '#' %></li>
      <li><%= link_to "Contact", '#' %></li>
      <li><a href="http://news.railstutorial.org/">NewsRails</a></li>
    </ul>
  </nav>
</footer>

app/views/layouts/_header.html.erb
<header class="navbar navbar-fixed-top navbar-inverse">
  <div id="container">
    <div id="user_header">
      <nav>
        <ul class="nav navbar-nav pull-right">
          <% if current_user %>
            Logged in as <%= current_user.email %>
            <li><%= link_to "Log Out", session_path("current"), method: "delete" %></li>
          <% else %>
          <li><%= link_to "Home", root_path %></li>
          <li><%= link_to "Sign Up", new_user_path %></li>
          <li><%= link_to "Log In", new_session_path %></li>
          <li><%= link_to "All Petition", "#" %></li>
          <li><%= link_to "My Petition", "#" %></li>
          <% end %>
        </ul>
      </nav>
    </div>
      <% flash.each do |name, msg| %>
      <%= content_tag :div, msg, id: "flash_#{name}"%>
    <% end %>  
  </div>
</header>

app/views/layouts/application.html.erb
<!DOCTYPE html>
<html>
  <head>
    <title>Онлайн петиции нашего района</title>
    <%= stylesheet_link_tag    "application", media: "all", 'data-turbolinks-track' => true %>
    <%= javascript_include_tag "application", 'data-turbolinks-track' => true %>
    <%= csrf_meta_tags %>
    <!--[if lt IE 9]>
      <script src="//cdnjs.cloudflare.com/ajax/libs/html5shiv/r29/html5.min.js">
      </script>
    <![endif]-->
  </head>
  <body>
    <%= render 'layouts/header' %>
   	<div class="container">
        <%= yield %>
    </div>
    <%= render 'layouts/footer' %>
  </body>
</html>

app/views/petition/_petition.html.erb
<h1>All Petition</h1>

<%= form_tag sessions_path do %>
  <div class="field">
<!--     <%= label_tag :email %><br />
    <%= text_field_tag :email, params[:email] %> -->  	
  </div>
  <div class="actions"><%= link_to "Home", root_path %></div>
<% end %>

app/views/users/new.html.erb
<h1>Sign Up</h1>
<%= form_for @user do |f| %>
  <% if @user.errors.any? %>
    <div class="error_messages">
      <h2>Form is invalid</h2>
      <ul>
        <% @user.errors.full_messages.each do |message| %>
          <li><%= message %></li>
        <% end %>
      </ul>    	
    </div>
  <% end %>

  <div class="field">
    <%= f.label :first_name %><br />
    <%= f.text_field :first_name %>
  </div>

  <div class="field">
    <%= f.label :last_name %><br />
    <%= f.text_field :last_name %>
  </div>

  <div class="field">
    <%= f.label :email %><br />
    <%= f.text_field :email %>
  </div>
  
  <div class="field">
    <%= f.label :password %><br />
    <%= f.password_field :password %>
  </div>

  <div class="field">
    <%= f.label :password_confirmation %><br />
    <%= f.password_field :password_confirmation %>
  </div>
  <div class="actions"><%= f.submit %></div>
<% end %>

app/views/users/show.html.erb
<%= link_to image_tag('meta/2.jpg') %>